- var ListadoCabecera = ["Talla", "Almacén", "Existencia", "Reservado", "Disponible"]

div.form-row
  div.form-group.col-lg-4.d-none.d-lg-block.text-center
    img([src]="ObtenerImagenPrincipal()",
      alt="").ImagenPrincipal
  div.form-group.col-12.col-lg-8
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-keyboard
          label(size-label="sm").ControlInput--Label [{{ tArticulo.Codarticulo }}] {{ tArticulo.Descripcion }}
    div.form-row
      label.form-label.h6 Descripción larga
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-keyboard
          label(size-label="sm").ControlInput--Label {{ tArticulo.Descripcion2 }}
div.form-row
  div.form-group.col-12
    ul(role="tablist").nav.nav-tabs
      li.nav-item
        a(data-toggle="tab",
          href="#Informacion",
          role="tab",
          aria-controls="Informacion",
          aria-selected="true")#Informacion-tab.nav-link.active Información
      li.nav-item
        a(data-toggle="tab",
          href="#Clasificacion",
          role="tab",
          aria-controls="Clasificacion",
          aria-selected="true")#Clasificacion-tab.nav-link Clasificación
      li.nav-item
        a(data-toggle="tab",
          href="#Inventario",
          role="tab",
          aria-controls="Inventario",
          aria-selected="true")#Inventario-tab.nav-link Inventario
div.form-row
  div.form-group.col-12
    div.tab-content#mvDatos
      div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-info.mr-2
              span Información General
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Sku
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-barcode
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Sku }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Tipo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-shapes
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Tipo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Código alterno
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-barcode
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Codalterno }}
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Referencia
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-barcode
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Referencia }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Color
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-palette
                  label(size-label="sm").ControlInput--Label [ {{ tArticulo.Codcolor }} ] - {{ tArticulo.Desc_color }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Unidad
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-shapes
                  label(size-label="sm").ControlInput--Label [ {{ tArticulo.Codunidadmedida }} ] - {{ tArticulo.Desc_unidad_medida }} - Factor: {{ tArticulo.Factor_venta }}
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-info.mr-2
              span Información sobre Precios y Costos
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Costo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Costo | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Precio 1
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Precio1 | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Precio 3
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Precio3 | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Iva
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Iva | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Precio 2
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Precio2 | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Precio Lista
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Preciolista | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-info.mr-2
              span Información de Almacenamiento
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Lotes
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-boxes
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Maneja_lotes }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Peso
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-weight
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Peso }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas Kg
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Seriales
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-boxes
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Maneja_seriales }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Volumen
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-prescription-bottle
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Volumen }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas L
        div.form-row
          div.form-group.col-12.col-lg-4
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Alto
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-ruler-vertical
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Alto }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas M
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Vencimiento
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-calendar-alt
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Maneja_vencimiento }}
          div.form-group.col-12.col-lg-4
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Ancho
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-ruler-horizontal
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Ancho }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas M
            div.form-row
              div.form-group.col-12
                label(for="txtDias_vencimiento_r").form-label.h6 Días en recepción
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-pallet
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Dias_vencimiento_r }}
          div.form-group.col-12.col-lg-4
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Largo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-ruler-combined
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Largo }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas M
            div.form-row
              div.form-group.col-12
                label(for="txtDias_vencimiento_d").form-label.h6 Días en despacho
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-truck-loading
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Dias_vencimiento_d }}
      div(role="tabpanel", aria-labelledby="Clasificacion-tab").tab-pane.fade#Clasificacion
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row.border-bottom-secondary.mb-2
              div.form-group.col-12
                h5.card-title.mb-0.text-gray-800
                  span.fas.fa-boxes.mr-2
                  span Clasificaciones
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Clase
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codclasificacion1 }} ] {{ tArticulo.Desc_clasificacion1 }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Grupo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codclasificacion2 }} ] {{ tArticulo.Desc_clasificacion2 }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Categoria
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codclasificacion3 }} ] {{ tArticulo.Desc_clasificacion3 }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Subcategoria
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                  span.ControlInput--ContenedorIcono-Icono
                    i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codclasificacion4 }} ] {{ tArticulo.Desc_clasificacion4 }}
          div.form-group.col-12.col-lg-6
            div.form-row.border-bottom-secondary.mb-2
              div.form-group.col-12
                h5.card-title.mb-0.text-gray-800
                  span.fas.fa-industry.mr-2
                  span Fabricante
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Fabricante
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codfabricante }} ] {{ tArticulo.Desc_fabricante }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Marca
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codmarca }} ] {{ tArticulo.Desc_marca }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Modelo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codmodelo }} ] {{ tArticulo.Desc_modelo }}
      div(role="tabpanel", aria-labelledby="Inventario-tab").tab-pane.fade#Inventario
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-boxes.mr-2
              span Inventario
        div.form-row
          div.form-group.col-12.col-lg-4
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Tallas
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-box
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Maneja_tallas }}
          div.form-group.col-12.col-lg-4
            label.form-label.h6 Inicial
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-box
              label(size-label="sm").ControlInput--Label {{ tArticulo.Talla_inicial }}
          div.form-group.col-12.col-lg-4
            label.form-label.h6 Final
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-box
              label(size-label="sm").ControlInput--Label {{ tArticulo.Talla_final }}
        div.form-row
          div.form-group.col-12.col-lg-6
            label.form-label.h6 Tallas Intermedias
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-box
              label(size-label="sm").ControlInput--Label {{ tArticulo.Talla_intermedias }}
          div.form-group.col-12.col-lg-6
            label.form-label.h6 Tallas Sugerida
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-box
              label(size-label="sm").ControlInput--Label {{ tArticulo.Talla_sugerida }}
        div.form-row
          div.form-group.col-12
            div.table-responsive
              table.table.table-sm
                thead
                  tr
                    each Cabecera in ListadoCabecera || []
                      th(scope="col")
                        h6
                          small.font-weight-bold= Cabecera
                tbody
                  tr(*ngFor="let Inventario of tArticulo.LInventario")
                    td
                      h6
                        small {{ ObtenerTalla(Inventario) }}
                    td
                      h6
                        small {{ Inventario.Codalmacen }}
                    td
                      h6
                        small {{ Inventario.Existencia }}
                    td
                      h6
                        small {{ Inventario.Reservado }}
                    td
                      h6
                        small {{ Inventario.Disponible }}
